Page MenuHomePhabricator

Duplicate IDs on Special:Version
Closed, ResolvedPublic

Description

When an extension registers itself as belonging to multiple categories, its row is inserted just as many times with the same HTML id, causing validation errors:
http://validator.w3.org/check?uri=http%3A%2F%2Fen.wikipedia.org%2Fwiki%2FSpecial%3AVersion

Possible solutions include but might not be limited to:

  • do not output IDs for extensions at all
  • only output IDs for the first occurrence of an extension
  • append/prepend each ID (or duplicate ones only) with the name of the respective category

Related Objects

Event Timeline

Ricordisamoa raised the priority of this task from to Needs Triage.
Ricordisamoa updated the task description. (Show Details)
Ricordisamoa added a subscriber: Ricordisamoa.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 12:09 AM
Ricordisamoa updated the task description. (Show Details)May 18 2015, 5:13 PM
Ricordisamoa set Security to None.

Updated the task description with possible solutions.

Change 275836 had a related patch set uploaded (by Ferveo):
Add category name in ID property for extension row in Special:Version page

https://gerrit.wikimedia.org/r/275836

Florian assigned this task to ferveo.Mar 8 2016, 8:03 PM
Florian triaged this task as Normal priority.
Florian added a subscriber: Florian.

Change 275836 merged by jenkins-bot:
Add category name in ID property for extension row in Special:Version page

https://gerrit.wikimedia.org/r/275836

Izno closed this task as Resolved.Nov 11 2016, 12:42 AM
Izno added a subscriber: Izno.

According to the validator link above, this appears to be fixed.